Loading...
Searching...
No Matches
coap_proxy_internal.h File Reference

CoAP Proxy internal information. More...

`#include "coap_internal.h"`
Include dependency graph for coap_proxy_internal.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | coap_proxy_req_t
struct | coap_proxy_list_t

## Typedefs

typedef struct coap_proxy_req_t | coap_proxy_req_t

## Functions

void | coap_proxy_cleanup (coap_context_t *context)
| Close down proxy tracking, releasing any memory used.
int | coap_proxy_check_timeouts (coap_context_t *context, coap_tick_t now, coap_tick_t *tim_rem)
| Idle timeout inactive proxy sessions as well as return in `tim_rem` the time to remaining to timeout the inactive proxy.
void | coap_proxy_remove_association (coap_session_t *session, int send_failure)
int | coap_proxy_forward_request_lkd (coap_session_t *session, const coap_pdu_t *request, coap_pdu_t *response, coap_resource_t *resource, coap_cache_key_t *cache_key, coap_proxy_server_list_t *server_list)
| Forward incoming request upstream to the next proxy/server.
coap_response_t | coap_proxy_forward_response_lkd (coap_session_t *session, const coap_pdu_t *received, coap_cache_key_t **cache_key)
| Forward the returning response back to the appropriate client.

## Detailed Description

CoAP Proxy internal information.

Definition in file coap_proxy_internal.h.